| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
PHCD_QTD Struct Reference
Enhanced Host Controller Interface Driver

## Detailed Description

Definition at line 191 of file EHCI.h.

`#include "EHCI.h"`

## Data Fields
uint32_t | NextQtd
union {
uint32_t AlterNextQtd
struct {
uint32_t Terminate: 1
uint32_t inUse: 1
} |
}; |
__IO uint32_t | PingState_Err: 1
__IO uint32_t | SplitXstate: 1
__IO uint32_t | MissedUframe: 1
__IO uint32_t | TransactionError: 1
__IO uint32_t | Babble: 1
__IO uint32_t | BufferError: 1
__IO uint32_t | Halted: 1
__IO uint32_t | Active: 1
uint32_t | PIDCode: 2
__IO uint32_t | ErrorCounter: 2
__IO uint32_t | CurrentPage: 3
uint32_t | IntOnComplete: 1
__IO uint32_t | TotalBytesToTransfer: 15
__IO uint32_t | DataToggle: 1
uint32_t | BufferPointer [5]

## Field Documentation

union { ... }

__IO uint32_t Active

Definition at line 220 of file EHCI.h.

uint32_t AlterNextQtd

Definition at line 198 of file EHCI.h.

__IO uint32_t Babble

Definition at line 217 of file EHCI.h.

__IO uint32_t BufferError

Definition at line 218 of file EHCI.h.

uint32_t BufferPointer[5]

Definition at line 232 of file EHCI.h.

__IO uint32_t CurrentPage

Definition at line 224 of file EHCI.h.

__IO uint32_t DataToggle

Definition at line 227 of file EHCI.h.

__IO uint32_t ErrorCounter

Definition at line 223 of file EHCI.h.

__IO uint32_t Halted

Definition at line 219 of file EHCI.h.

uint32_t IntOnComplete

Definition at line 225 of file EHCI.h.

uint32_t inUse

Definition at line 205 of file EHCI.h.

__IO uint32_t MissedUframe

Definition at line 215 of file EHCI.h.

uint32_t NextQtd

Definition at line 193 of file EHCI.h.

uint32_t PIDCode

Definition at line 222 of file EHCI.h.

__IO uint32_t PingState_Err

Definition at line 213 of file EHCI.h.

__IO uint32_t SplitXstate

Definition at line 214 of file EHCI.h.

uint32_t Terminate

Definition at line 200 of file EHCI.h.

__IO uint32_t TotalBytesToTransfer

Definition at line 226 of file EHCI.h.

__IO uint32_t TransactionError

Definition at line 216 of file EHCI.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/HCD/EHCI/EHCI.h